# Check for status of man pages
# http://code.google.com/p/redis/issues/detail?id=202

Name:             redis
Version:          2.6.5
%define subrel	  1
Release:          %mkrel 4
Summary:          A persistent key-value database
Group:            Databases
License:          BSD
URL:              http://redis.io/
Source0:          http://redis.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:          %{name}.logrotate
Source2:          %{name}.tmpfiles
Source3:          %{name}.service
# Update configuration for Fedora
Patch0:           %{name}-2.6.5-redis.conf.patch
Patch1:		  redis-2.8.20-CVE-2015-4335.patch
BuildRequires:    tcl >= 8.5
Requires(post):   systemd >= %{systemd_required_version}
Requires(post):   rpm-helper >= 0.24.8-1
Requires(preun):  rpm-helper >= 0.24.8-1

%description
Redis is an advanced key-value store. It is similar to memcached but the data
set is not volatile, and values can be strings, exactly like in memcached, but
also lists, sets, and ordered sets. All this data types can be manipulated with
atomic operations to push/pop elements, add/remove elements, perform server side
union, intersection, difference between sets, and so forth. Redis supports
different kind of sorting abilities.

%prep
%setup -q
%patch0 -p0
%patch1 -p1

%build
%make

%check
tclsh tests/test_helper.tcl

%install
# Install binaries
install -p -D -m 0755 src/%{name}-benchmark %{buildroot}%{_bindir}/%{name}-benchmark
install -p -D -m 0755 src/%{name}-cli %{buildroot}%{_bindir}/%{name}-cli
install -p -D -m 0755 src/%{name}-check-aof %{buildroot}%{_bindir}/%{name}-check-aof
install -p -D -m 0755 src/%{name}-check-dump %{buildroot}%{_bindir}/%{name}-check-dump
install -p -D -m 0755 src/%{name}-server %{buildroot}%{_sbindir}/%{name}-server
# Install misc other
install -p -D -m 0644 %{name}.conf %{buildroot}%{_sysconfdir}/%{name}.conf
install -p -D -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
install -p -D -m 0755 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/%{name}.conf
install -p -D -m 0644 %{SOURCE3} %{buildroot}%{_unitdir}/%{name}.service

install -d -m 0755 %{buildroot}%{_localstatedir}/lib/%{name}
install -d -m 0755 %{buildroot}%{_localstatedir}/log/%{name}


%pre
%_pre_useradd %{name}  %{_sharedstatedir}/%{name} /sbin/nologin

%post
%_tmpfilescreate %{name}
%_post_service %{name}

%preun
%_preun_service %{name}

%postun 
%_postun_userdel %{name}

%files
%doc 00-RELEASENOTES BUGS COPYING README
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.conf
%dir %attr(0755, redis, root) %{_localstatedir}/lib/%{name}
%dir %attr(0755, redis, root) %{_localstatedir}/log/%{name}
%{_bindir}/%{name}-*
%{_sbindir}/%{name}-*
%{_tmpfilesdir}/%{name}.conf
%{_unitdir}/%{name}.service


%changelog
* Sun Jun 14 2015 luigiwalser <luigiwalser> 2.6.5-4.1.mga4
+ Revision: 823148
- add upstream patch to fix CVE-2015-4335

* Sat Oct 19 2013 umeabot <umeabot> 2.6.5-4.mga4
+ Revision: 522678
- Mageia 4 Mass Rebuild

* Sun Mar 24 2013 colin <colin> 2.6.5-3.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Mon Jan 14 2013 umeabot <umeabot> 2.6.5-2.mga3
+ Revision: 380271
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 28 2012 colin <colin> 2.6.5-1.mga3
+ Revision: 322479
- New version: 2.6.5
- Drop upstream patch
- Drop non-matching test tweaks.
- Drop no-longer working make arguments.
- Tidy install rules
- Tidy tmpfile handling.

* Sun Oct 21 2012 colin <colin> 2.4.17-1.mga3
+ Revision: 308879
- New version: 2.4.17

* Thu Jul 05 2012 colin <colin> 2.4.15-2.mga3
+ Revision: 268267
- Drop sysvinit script
- Use systemd-tmpfiles to create transient directories
- Fix systemd unit to set Type=forking

* Wed Jun 27 2012 colin <colin> 2.4.15-1.mga3
+ Revision: 264398
- Update to 2.4.15
- Do not create the group for redis, it is done automatically when adding the user

* Thu May 10 2012 colin <colin> 2.4.8-4.mga2
+ Revision: 235025
- Revert previous version bump. It was never submitted.
- New version: 2.4.11
- Add LSB headers to initscripts (mga#5262)

* Sat Apr 28 2012 tmb <tmb> 2.4.8-3.mga2
+ Revision: 234125
- extend timeout on replication test (upstream, P1)
- Require rpm-helper >= 0.24.8-1 for systemd support

* Thu Apr 12 2012 guillomovitch <guillomovitch> 2.4.8-2.mga2
+ Revision: 230441
- native systemd service
- fix dependencies

* Fri Feb 24 2012 obgr_seneca <obgr_seneca> 2.4.8-1.mga2
+ Revision: 214180
- new version 2.4.8

* Wed Sep 14 2011 tv <tv> 2.2.8-1.mga2
+ Revision: 143235
- new release

* Sun Apr 17 2011 misc <misc> 2.2.4-1.mga1
+ Revision: 87097
- update to 2.2.4, update patch  for configuration
- use parallel make
- use macros for post scripts

* Sun Apr 10 2011 dmorgan <dmorgan> 2.0.4-3.mga1
+ Revision: 82997
- Fix groups (#682)

* Sat Mar 26 2011 dmorgan <dmorgan> 2.0.4-2.mga1
+ Revision: 77616
- imported package redis

